org.eclipse.ease.urlhandler

## Class WorkspaceURLConnection

- java.lang.Object
- - java.net.URLConnection
  - - org.eclipse.ease.urlhandler.WorkspaceURLConnection

    public class WorkspaceURLConnection
    extends URLConnection

### Field Summary

Fields
`static String` `SCHEME`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `connect()`
`InputStream` `getInputStream()`

### Methods inherited from class java.net.URLConnection

`addRequestProperty, getAllowUserInteraction, getConnectTimeout, getContent, getContent, getContentEncoding, getContentLength, getContentLengthLong, getContentType, getDate, getDefaultAllowUserInteraction, getDefaultRequestProperty, getDefaultUseCaches, getDoInput, getDoOutput, getExpiration, getFileNameMap, getHeaderField, getHeaderField, getHeaderFieldDate, getHeaderFieldInt, getHeaderFieldKey, getHeaderFieldLong, getHeaderFields, getIfModifiedSince, getLastModified, getOutputStream, getPermission, getReadTimeout, getRequestProperties, getRequestProperty, getURL, getUseCaches, guessContentTypeFromName, guessContentTypeFromStream, setAllowUserInteraction, setConnectTimeout, setContentHandlerFactory, setDefaultAllowUserInteraction, setDefaultRequestProperty, setDefaultUseCaches, setDoInput, setDoOutput, setFileNameMap, setIfModifiedSince, setReadTimeout, setRequestProperty, setUseCaches, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### SCHEME

    public static final String SCHEME

See Also:
  Constant Field Values

### Method Detail

#### connect

    public void connect()
                 throws IOException

Specified by:
  `connect` in class `URLConnection`
Throws:
  `IOException`

#### getInputStream

    public InputStream getInputStream()
                               throws IOException

Overrides:
  `getInputStream` in class `URLConnection`
Throws:
  `IOException`